Upstream information

CVE-2016-2329 at MITRE

Description

libavcodec/tiff.c in FFmpeg before 2.8.6 does not properly validate RowsPerStrip values and YCbCr chrominance subsampling factors, which allows remote attackers to cause a denial of service (out-of-bounds array access) or possibly have unspecified other impact via a crafted TIFF file, related to the tiff_decode_tag and decode_frame functions.

SUSE information

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.82
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 8.8
Vector AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entry: 966674 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE Leap 42.1
  • ffmpeg >= 2.8.6-16.1
  • ffmpeg-debuginfo >= 2.8.6-16.1
  • ffmpeg-debugsource >= 2.8.6-16.1
  • ffmpeg-devel >= 2.8.6-16.1
  • libavcodec-devel >= 2.8.6-16.1
  • libavcodec56 >= 2.8.6-16.1
  • libavcodec56-32bit >= 2.8.6-16.1
  • libavcodec56-debuginfo >= 2.8.6-16.1
  • libavcodec56-debuginfo-32bit >= 2.8.6-16.1
  • libavdevice-devel >= 2.8.6-16.1
  • libavdevice56 >= 2.8.6-16.1
  • libavdevice56-32bit >= 2.8.6-16.1
  • libavdevice56-debuginfo >= 2.8.6-16.1
  • libavdevice56-debuginfo-32bit >= 2.8.6-16.1
  • libavfilter-devel >= 2.8.6-16.1
  • libavfilter5 >= 2.8.6-16.1
  • libavfilter5-32bit >= 2.8.6-16.1
  • libavfilter5-debuginfo >= 2.8.6-16.1
  • libavfilter5-debuginfo-32bit >= 2.8.6-16.1
  • libavformat-devel >= 2.8.6-16.1
  • libavformat56 >= 2.8.6-16.1
  • libavformat56-32bit >= 2.8.6-16.1
  • libavformat56-debuginfo >= 2.8.6-16.1
  • libavformat56-debuginfo-32bit >= 2.8.6-16.1
  • libavresample-devel >= 2.8.6-16.1
  • libavresample2 >= 2.8.6-16.1
  • libavresample2-32bit >= 2.8.6-16.1
  • libavresample2-debuginfo >= 2.8.6-16.1
  • libavresample2-debuginfo-32bit >= 2.8.6-16.1
  • libavutil-devel >= 2.8.6-16.1
  • libavutil54 >= 2.8.6-16.1
  • libavutil54-32bit >= 2.8.6-16.1
  • libavutil54-debuginfo >= 2.8.6-16.1
  • libavutil54-debuginfo-32bit >= 2.8.6-16.1
  • libpostproc-devel >= 2.8.6-16.1
  • libpostproc53 >= 2.8.6-16.1
  • libpostproc53-32bit >= 2.8.6-16.1
  • libpostproc53-debuginfo >= 2.8.6-16.1
  • libpostproc53-debuginfo-32bit >= 2.8.6-16.1
  • libswresample-devel >= 2.8.6-16.1
  • libswresample1 >= 2.8.6-16.1
  • libswresample1-32bit >= 2.8.6-16.1
  • libswresample1-debuginfo >= 2.8.6-16.1
  • libswresample1-debuginfo-32bit >= 2.8.6-16.1
  • libswscale-devel >= 2.8.6-16.1
  • libswscale3 >= 2.8.6-16.1
  • libswscale3-32bit >= 2.8.6-16.1
  • libswscale3-debuginfo >= 2.8.6-16.1
  • libswscale3-debuginfo-32bit >= 2.8.6-16.1
Patchnames:
openSUSE-2016-246